﻿
/*---checkbox-start---*/
label.v-checkbox {
    display: inline-block;
    align-items: center;
    margin: 0;
    font-weight: 500;
    cursor: pointer;
}

    label.v-checkbox > span, .text {
        display: inline-block;
    }

    label.v-checkbox > input[type=checkbox] {
        position: relative;
        display: inline-block;
        width: 13px;
        height: 13px;
        margin-right: 5px;
    }

    label.v-checkbox:hover > input[type=checkbox]::before {
        border: 1px solid #2D8F7B;
    }

    label.v-checkbox > input[type=checkbox]::before {
        position: absolute;
        content: '';
        display: inline-block;
        top: -1px;
        left: -1px;
        width: 18px;
        height: 18px;
        border: 1px solid #D3CFC8;
        background: #fff;
    }

    label.v-checkbox > input[type=checkbox]:checked::after {
        position: absolute;
        content: '';
        display: inline-block;
        top: 2px;
        left: 3px;
        width: 10px;
        height: 7px;
        border-width: 2px;
        border-style: solid;
        border-color: transparent transparent #fff #fff;
        transform: rotate(-45deg);
    }

    label.v-checkbox > input[type=checkbox]:checked::before {
        border: 1px solid #2D8F7B;
        background: #2D8F7B;
    }

/*---checkbox-end---*/


/*---radio-start---*/
label.v-radio {
    display: inline-block;
    margin: 0;
    font-weight: 500;
    cursor: pointer;
}
    label.v-radio > span, .text {
        display: inline-block;
    }

    label.v-radio > input[type=radio] {
        position: relative;
        display: inline-block;
        width: 13px;
        height: 13px;
        margin-right: 5px;
    }
    label.v-radio:hover > input[type=radio]::before {
        border: 1px solid #2D8F7B;
    }
        label.v-radio > input[type=radio]::before {
            position: absolute;
            content: '';
            display: inline-block;
            top: -1px;
            left: -1px;
            width: 18px;
            height: 18px;
            border: 1px solid #D3CFC8;
            border-radius: 50%;
            background: #fff;
        }
        label.v-radio > input[type=radio]:checked::after {
            position: absolute;
            content: '';
            display: inline-block;
            top: 3px;
            left: 3px;
            width: 10px;
            height: 7px;
            border-width: 2px;
            border-style: solid;
            border-color: transparent transparent #fff #fff;
            transform: rotate(-45deg);
        }
        label.v-radio > input[type=radio]:checked::before {
            border: 1px solid #2D8F7B;
            background: #2D8F7B;
        }
/*---radio-end---*/

.row-line-btns {
    display:flex;
    align-items: center;
    justify-content: center;
}
    .row-line-btns > div, .link-btn {
        margin: 0 5px;
    }
.link-btn {
    display: inline-block;
    font-weight: 600;
    color: #1D84C6;
    cursor: pointer;
}
.link-btn-danger {
    display: inline-block;
    font-weight: 600;
    color: #ED5666;
    cursor: pointer;
}

.layui-layer-btn-xx {
    text-align: right;
    padding: 0 10px 12px;
    pointer-events: auto;
    user-select: none;
    -webkit-user-select: none;
}
    .layui-layer-btn-xx .layui-layer-btn0 {
        border-color: #4898d5;
        background-color: #2e8ded;
        color: #fff;
    }
.layui-layer-btn-xx a {
    height: 28px;
    line-height: 28px;
    margin: 6px 6px 0;
    padding: 5px 15px;
    border: 1px solid #dedede;
    background-color: #f1f1f1;
    color: #333;
    border-radius: 2px;
    font-weight: 400;
    cursor: pointer;
    text-decoration: none;
}


/*----tooltip-----*/
.v-tooltip {
    position: relative;
    border: 1px solid #bbb;
    border-radius: 3px;
    background: #fff;
}

    .v-tooltip::before {
        position: absolute;
        content: "";
        display: inline-block;
        width: 11px;
        height: 11px;
        border-style: solid;
        border-width: 1px;
        transform: rotate(45deg);
        background: inherit;
    }

    .v-tooltip.right-top::before {
        top: 8px;
        left: -6px;
        border-color: transparent transparent #aaa #aaa;
    }

    .v-tooltip.right-bottom::before {
        bottom: 8px;
        left: -6px;
        border-color: transparent transparent #aaa #aaa;
    }

    .v-tooltip.top-left::before {
        bottom: -6px;
        left: 8px;
        border-color: transparent #aaa #aaa transparent;
    }

    .v-tooltip.top::before {
        bottom: -6px;
        left: calc(50% - 5px);
        border-color: transparent #aaa #aaa transparent;
    }

.copy-tooltip {
    position: relative;
}

    .copy-tooltip > .hidden {
        display: none;
    }

    .copy-tooltip > .copy-text {
        position: absolute;
        display: none;
        top: 12px;
        padding: 3px;
        border: 1px solid #aaa;
        border-radius: 3px;
        white-space: nowrap;
        background: #F5F2BF;
        font-size: 14px;
    }

    .copy-tooltip:hover > .copy-text {
        display: inline-block;
        cursor: pointer;
    }

.title-tooltip {
    position: relative;
}

    .title-tooltip > .title-wrap {
        position: absolute;
        display: none;
        padding-bottom: 8px;
        white-space: nowrap;
    }

        .title-tooltip > .title-wrap > .tooltip {
            padding: 6px;
            border-radius: 5px;
            background: #504D4D;
            color: #fff;
        }

    .title-tooltip:hover > .title-wrap {
        display: inline-block;
    }

.disabledrow {
    color: #bcc;
}

/*---form---*/

.date-input {
    display: inline-flex;
}
    .date-input > span {
        display: inline-block;
        height: 34px;
        width: 30px;
        line-height: 34px;
        border-style: solid solid solid none;
        border-color: #E5E6E7;
        border-width: 1px;
        text-align: center;
        color: #009F95;
    }